@import url(normalize.css);
@import url(var.css);
@import url(template.css);
@import url(header.css);
@import url(nav.css);
@import url(togg.css);
/* @import url(news.css); */
/* @import url(page.css);  */

main{
    padding: 10px;
    background-color: white;
}

.img_news{
    justify-content: center;
    align-items: center;
}

.img_news_1{
    grid-area: o;
}
.img_news_2{
    grid-area: t;
}
.img_news_3{
    grid-area: n;
}
.img_news_4{
    grid-area: f;
}

aside address{
    padding: 7px;
    background-color: var(--pallet);
    color: var(--fon);
    font-size: 15px;
    line-height: 1.5rem
}
aside address a{
    color: var(--accent);
}

/* РЕЙТИНГ ЗВЁЗДЫ======================= */
.rating {
    float:left;
    margin-top: 20px;
    width: 100%;
}

/* :not(:checked) is a filter, so that browsers that don’t support :checked don’t 
   follow these rules. Every browser that supports :checked also supports :not(), so
   it doesn’t make the test unnecessarily selective */
.rating:not(:checked) > input {
    position:absolute;
    top:-9999px;
    clip:rect(0,0,0,0);
}

.rating:not(:checked) > label {
    float: right;
    width: 1em;
    padding: 0 .1em;
    overflow: hidden;
    white-space: nowrap;
    cursor: pointer;
    font-size: 240%;
    line-height: 1.2;
    color: #ddd;
    text-shadow:1px 1px #bbb, 2px 2px #666, .1em .1em .2em rgba(0,0,0,.5);
}

.rating:not(:checked) > label:before {
    content: '★ ';
}

.rating > input:checked ~ label {
    color: #f70;
    text-shadow:1px 1px #c60, 2px 2px #940, .1em .1em .2em rgba(0,0,0,.5);
}

.rating:not(:checked) > label:hover,
.rating:not(:checked) > label:hover ~ label {
    color: gold;
    text-shadow:1px 1px goldenrod, 2px 2px #B57340, .1em .1em .2em rgba(0,0,0,.5);
}

.rating > input:checked + label:hover,
.rating > input:checked + label:hover ~ label,
.rating > input:checked ~ label:hover,
.rating > input:checked ~ label:hover ~ label,
.rating > label:hover ~ input:checked ~ label {
    color: #ea0;
    text-shadow:1px 1px goldenrod, 2px 2px #B57340, .1em .1em .2em rgba(0,0,0,.5);
}

.rating > label:active {
    position:relative;
    top:2px;
    left:2px;
}



.main_wrap_news{
    margin-bottom: 70px;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(5, 80px);
    grid-gap: 10px;
    grid-template-areas: "o o o o o f"
                         "o o o o o f"
                         "o o o o o f"
                         "t t n n n f"
                         "t t n n n f";
    
}


.main_wrap_akci{
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 15px;
}
.item_market{
    grid-template-rows: 200px 100px 50px;
    padding: 5px;
    border: 1px solid var(--grey_l)
}
.item_news{
    position: relative;
    grid-template-rows: 200px 70px 50px;
    padding: 5px;
    border: 1px solid var(--grey_l)
}



.img_news,
.main_item_img{
    position: relative;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}
.img_news h3{
    background-color: rgba(97, 97, 97, 0.5);
    padding: 30px 2vw;
    display: block;
    color: white;
    transition: 0.3s
}
.img_news:hover h3{
    background-color: rgba(0, 0, 0, 0.7);
    padding: 35px 50px;
    display: block;
    color: white;
}

.main_item_caption{
    line-height: 1;
}
.main_item_btn{
    grid-template-columns: 1fr 1fr;
    line-height: 0;
    justify-items: center;
    align-items: center;
}

.left_btn{
    background-color: var(--fon2);
}
.right_btn{
    background-color: var(--pallet);
}




@media screen and (max-width: 1250px){
    .main_wrap_akci {
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 10px;
    }
}

@media screen and (max-width: 930px){
    
    .content {
        grid-template-columns: 4fr;
    }
    .main_wrap_akci {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 10px;
    }
}

@media screen and (max-width: 660px){
    .main_wrap_news{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(6, 80px);
        grid-gap: 10px;
        grid-template-areas: "o o"
                             "o o"
                             "t n"
                             "f f";
    }
    .img_news h3{
        padding: 10px;
    }
}

@media screen and (max-width: 500px){
    .main_wrap_akci {
        grid-template-columns: 1fr;
        grid-gap: 10px;
    }
}

@media screen and (max-width: 480px){
    .main_wrap_news{
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(4, 80px);
        grid-gap: 10px;
        grid-template-areas: "o o o o o o"
                             "o o o o o o"
                             "t t t n n n"
                             "f f f f f f";
    }
    .img_news h3{
        font-size: 18px;
        font-weight: 100;
        padding: 5px;
        background-color: rgba(0, 0, 0, 0.6);
    }
}